_Elm_Widget_Smart_Class Struct Reference

Data Fields
_Elm_Widget_Smart_Class Struct Reference
Widgets Extension Infrastructure

Base widget smart class. More...

## Data Fields
Evas_Smart_Class | base
| Base smart class struct, needed for all smart objects.
int | version
| Version of this smart class definition.
void(* | parent_set )(Evas_Object *obj, Evas_Object *parent)
| 'Virtual' function handling parent widget attachment to new object
Eina_Bool(* | on_focus )(Evas_Object *obj)
| 'Virtual' function handling focus in/out events on the widget
Eina_Bool(* | disable )(Evas_Object *obj)
| 'Virtual' function on the widget being disabled
Eina_Bool(* | theme )(Evas_Object *obj)
| 'Virtual' function on the widget being re-themed
Eina_Bool(* | translate )(Evas_Object *obj)
| 'Virtual' function handling language changes on Elementary
Eina_Bool(* | event )(Evas_Object *obj, Evas_Object *source, Evas_Callback_Type type, void *event_info)
| 'Virtual' function handling input events on the widget
Eina_Bool(* | on_focus_region )(const Evas_Object *obj, Evas_Coord *x, Evas_Coord *y, Evas_Coord *w, Evas_Coord *h)
| 'Virtual' function returning an inner area of a widget that should be brought into the visible area of a broader viewport, may this context arise. More...
Eina_Bool(* | focus_next )(const Evas_Object *obj, Elm_Focus_Direction dir, Evas_Object **next, Elm_Object_Item **next_item)
| 'Virtual' function handling passing focus to sub-objects
Eina_Bool(* | focus_direction )(const Evas_Object *obj, const Evas_Object *base, double degree, Evas_Object **target, Elm_Object_Item **target_item, double *weight)
| 'Virtual' function handling passing focus to sub-objects given a direction, in degrees
Eina_Bool(* | sub_object_add )(Evas_Object *obj, Evas_Object *sobj)
| 'Virtual' function handling sub objects being added
Eina_Bool(* | sub_object_del )(Evas_Object *obj, Evas_Object *sobj)
| 'Virtual' function handling sub objects being removed
void(* | access )(Evas_Object *obj, Eina_Bool is_access)
| 'Virtual' function on the widget being set access
Eina_Bool(* | activate )(Evas_Object *obj, Elm_Activate act)
| 'Virtual' function to activate widget

## Detailed Description

Base widget smart class.

It has the 'virtual' functions for all general, common actions on Elementary widgets.

## Field Documentation

## ◆ on_focus_region

Eina_Bool(* _Elm_Widget_Smart_Class::on_focus_region) (const Evas_Object *obj, Evas_Coord *x, Evas_Coord *y, Evas_Coord *w, Evas_Coord *h)

'Virtual' function returning an inner area of a widget that should be brought into the visible area of a broader viewport, may this context arise.

On the base Elementary widget class, it defaults to the object's total area, so only override it if you have to.